(*
  File: Derivatives.sig

  Given an environment of definitions and a component, compute the one-step
  ((activity, rate), name) transitions leading to new components
*)
signature Derivatives = 
sig

  type Derivative = (PepaNets.Identifier * PepaNets.Rate) * PepaNets.Name * PepaNets.Component

  datatype Derivation = Firing of Derivative 
                      | Transition of Derivative

  type Derivatives = Derivation list

  val derivative : 
    (PepaNets.Environment *
       (PepaNets.Identifier * (PepaNets.Identifier * PepaNets.Rate) * PepaNets.Identifier) list)
       -> PepaNets.Component
          -> Derivatives

end;
